summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author MagicMan <MagicMan07@bluebottle.com>2010-05-11 15:18:42 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:18:42 +0200
commitd2b460fdf20edc102e2114eb021637724e262167 (patch)
tree20618b0d150998b6e56b33ccf65ece54d496ea08 /system
parentb18c3ea4e657fd400467b6576c1dcffe21f40083 (diff)
downloadslackbuilds-d2b460fdf20edc102e2114eb021637724e262167.tar.gz
slackbuilds-d2b460fdf20edc102e2114eb021637724e262167.tar.xz
system/numlockx: Initial import
Diffstat (limited to 'system')
-rw-r--r--system/numlockx/README31
-rw-r--r--system/numlockx/numlockx.SlackBuild79
-rw-r--r--system/numlockx/numlockx.info8
-rw-r--r--system/numlockx/slack-desc10
4 files changed, 128 insertions, 0 deletions
diff --git a/system/numlockx/README b/system/numlockx/README
new file mode 100644
index 0000000000..396a3a8f47
--- /dev/null
+++ b/system/numlockx/README
@@ -0,0 +1,31 @@
+This little thingy allows you to start X with NumLock turned on (which is
+a feature that a lot of people seem to miss and nobody really knew how to
+achieve this ).
+
+Depending on how you start X, you might/will want to modify both
+/etc/X11/xdm/Xsetup_0 and your $HOME/.xinitrc files.
+
+Add this to the END of /etc/X11/xdm/Xsetup_0
+
+ # Turn NumLock on (using numlockx)
+ if [ -x /usr/bin/numlockx ]; then
+ /usr/bin/numlockx
+ fi
+
+Add this to the BEGINNING of $HOME/.xinitrc
+
+ # Turn NumLock on (using numlockx)
+ if [ -x /usr/bin/numlockx ]; then
+ /usr/bin/numlockx
+ fi
+
+Note that $HOME/.xinitrc is just a copy of /etc/X11/xinit/xinitrc.$SOMETHING,
+where $SOMETHING is your preferred window manager. The xwmconfig(1) binary
+makes this copy when it is run. To summarize, if you use xwmconfig(1) to
+change your window manager/desktop environment after editing it for numlockx,
+you will need to make the edits again. Alternatively, you can make the
+numlockx edit to the "master" files in /etc/X11/xinit/ for each of the
+installed window managers, and this will allow you to change window managers
+without losing the numlockx functionality. However, be aware that an upgrade
+to any of the window managers involved might/will overwrite your changes.
+
diff --git a/system/numlockx/numlockx.SlackBuild b/system/numlockx/numlockx.SlackBuild
new file mode 100644
index 0000000000..42eb073ed0
--- /dev/null
+++ b/system/numlockx/numlockx.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for NumLockX
+
+# Copyright 2007 MagicMan <MagicMan07@bluebottle.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit 1
+fi
+
+set -e
+
+PRGNAM=numlockx
+VERSION=1.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+PDOCS="AUTHORS ChangeLog INSTALL LICENSE README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/numlockx/numlockx.info b/system/numlockx/numlockx.info
new file mode 100644
index 0000000000..72667b95f5
--- /dev/null
+++ b/system/numlockx/numlockx.info
@@ -0,0 +1,8 @@
+PRGNAM="numlockx"
+VERSION="1.1"
+HOMEPAGE="http://ktown.kde.org/~seli/numlockx/"
+DOWNLOAD="http://ktown.kde.org/~seli/numlockx/numlockx-1.1.tar.gz"
+MD5SUM="127d9dfbbbe6dbec62cc78db340f913c"
+MAINTAINER="MagicMan"
+EMAIL="MagicMan07@bluebottle.com"
+APPROVED="robw810"
diff --git a/system/numlockx/slack-desc b/system/numlockx/slack-desc
new file mode 100644
index 0000000000..4b25ad79b1
--- /dev/null
+++ b/system/numlockx/slack-desc
@@ -0,0 +1,10 @@
+numlockx: NumLockX (Start X with NumLock Turned On)
+numlockx:
+numlockx: This little thingy allows you to start X with NumLock turned
+numlockx: on ( which is a feature that a lot of people seem to miss and
+numlockx: nobody really knew how to achieve this ).
+numlockx:
+numlockx: Homepage: http://ktown.kde.org/~seli/numlockx/
+numlockx:
+numlockx:
+numlockx: